/* RESET */
* {
  margin: 0;
  padding: 0;
  font-family: 'Raleway-Regular', Arial, sans-serif; /* Arial et sans-serif sont les polices de secours */
  box-sizing: border-box;
}

body, html {
  height: 100%;
  font-family: 'Raleway-Regular', Arial, sans-serif; /* Arial et sans-serif sont les polices de secours */
  overflow-x: hidden;
  overflow: scroll;
  scrollbar-width: none; /* Firefox */
}

/* Pour Chrome, Edge, Safari */
body::-webkit-scrollbar {
  display: none;
}

/* -------------------- PLAYFAIR_DISPLAY ------------------------*/

@font-face {
    font-family: 'PlayfairDisplay-SemiBold';
    src: url('fonts/PlayfairDisplay-SemiBold.woff2') format('woff2'),
         url('fonts/PlayfairDisplay-SemiBold.ttf') format('truetype');
}

@font-face {
    font-family: 'PlayfairDisplay-SemiBoldItalic';
    src: url('fonts/PlayfairDisplay-SemiBoldItalic.woff2') format('woff2'),
         url('fonts/PlayfairDisplay-SemiBoldItalic.ttf') format('truetype');
}

@font-face {
    font-family: 'PlayfairDisplay-Italic';
    src: url('fonts/PlayfairDisplay-Italic.woff2') format('woff2'),
         url('fonts/PlayfairDisplay-Italic.ttf') format('truetype');
}

@font-face {
    font-family: 'PlayfairDisplay-Regular';
    src: url('fonts/PlayfairDisplay-Regular.woff2') format('woff2'),
         url('fonts/PlayfairDisplay-Regular.ttf') format('truetype');
}

/* -------------------- RALEWAY ------------------------*/

@font-face {
    font-family: 'Raleway-Light';
    src: url('fonts/Raleway-Light.woff2') format('woff2'),
         url('fonts/Raleway-Light.ttf') format('truetype');
}

@font-face {
    font-family: 'Raleway-Regular';
    src: url('fonts/Raleway-Regular.woff2') format('woff2'),
         url('fonts/Raleway-Regular.ttf') format('truetype');
}

@font-face {
    font-family: 'Raleway-SemiBold';
    src: url('fonts/Raleway-SemiBold.woff2') format('woff2'),
         url('fonts/Raleway-SemiBold.ttf') format('truetype');
}

@font-face {
    font-family: 'Raleway-Bold';
    src: url('fonts/Raleway-Bold.woff2') format('woff2'),
         url('fonts/Raleway-Bold.ttf') format('truetype');
}

/*---------------------STYLES-----------------------*/

.nombold{
    font-size:16px;
    font-family: 'Raleway-Bold', sans-serif;
}

/*.nomitalic{
    font-size:16px;
     font-family: 'PlayfairDisplay-Italic', serif;
}*/

.domaine{
    font-size:14px;
    font-family: 'PlayfairDisplay-Italic', serif;
}

.titre{
    font-size:32px;
    font-family: 'Raleway-Bold', sans-serif;
}

.titre_italic{
    font-size:32px;
    font-family: 'PlayfairDisplay-Italic', serif;
}

.description{
    font-size:26px;
    font-family: 'Raleway-Light', sans-serif;
    /*text-align: justify;*/
    line-height: 1.3;
}

.description_italic{
    font-size:26px;
    font-family: 'PlayfairDisplay-Italic', sans-serif;
    /*text-align: justify;*/
    line-height: 1.3;
}

.corps{
    font-size:15px;
    font-family: 'Raleway-Regular', sans-serif;
    /*text-align: justify;*/
    line-height: 1.3;
}

.titre_cv{
    font-size:15px;
    font-family: 'Raleway-Bold', sans-serif;
    /*text-align: justify;*/
    line-height: 1.3;
}

.sous_titre_cv{
    font-size:15px;
    font-family: 'Raleway-Bold', sans-serif;
    /*text-align: justify;*/
    line-height: 1.3;
}

.competences{
    font-size:15px;
    border:1px solid black;
    border-radius:999px;
    padding: 5px 8px;
    /*text-align: justify;*/
    line-height: 2.2;
}

.ellipseCV {
  padding: 10px 15px;
  color: red; /* Texte en blanc */
  border: 1px solid red;
  cursor: pointer;
  background-color: white; /* <-- ajoute cette ligne */
  border-radius: 20px;
  transition: transform 0.3s ease-in-out, background-color 0.3s ease-in-out;
}

.ellipseCV:hover {
  background-color: red; /* Changer la couleur de fond au survol */
  color: white; /* Texte en blanc */
  transform: scale(1.1); /* Légère agrandissement au survol */
}

.ellipseCV:active {
  transform: scale(1); /* Réinitialiser la taille au clic */
}


/*---------------------LIENS-----------------------*/

a {
  color: black; /* couleur du lien */
  text-decoration: none; /* enlève le soulignement */
}

a:hover {
  font-size:14px;
  text-decoration: underline; /* soulignement au survol */
}

a img {
  cursor: pointer; /* Change le curseur en pointeur lorsqu'on survole l'image */
}

.infos-link{
  text-decoration: none;
  font-size:14px;
 
}

.infos-link:hover {
 
  text-decoration: underline;
}

.lazy-video {
  width: 80%;         /* ou 400px, ou 100vw pour plein écran */
  /*max-width: 900px;*/    /* limite la taille si écran large */
  height: auto;        /* conserve le ratio */
  opacity: 0;
  transition: opacity 0.5s ease-in-out;
  display: block;
  margin-bottom: 10px;        /* centre horizontalement */
}

.lazy-video.loaded {
  opacity: 1;
}

/*---------------------HEADER-----------------------*/
header {
  position: fixed;
  top: 0;
  width: 100%;
  display: grid;
  grid-template-columns: 1fr auto 1fr;
  align-items: center;
  padding: 10px 20px;
  z-index: 1000;
  /*border:1px solid black;*/
}

header .left {
  font-size: 1rem;
}

header .center {
  text-align: center;
  font-size: 14px;
}

header .right {
  display: flex;
  justify-content: flex-end;
  gap: 5px;
}

header button {
  background: none;
  border: none;
  border-radius: 999px;
   padding: 10px 10px;
  font-size: 1rem;
  color:black;
  cursor: pointer;
}

header button:hover {
  text-decoration: underline;
 /* font-size:17px;
  font-family: 'PlayfairDisplay-Italic', serif;*/
}

/*---------------------MAIN-----------------------*/

main {
  display: grid;
  grid-template-columns: 1fr 3fr;
  margin-left: 50px;
  padding: 100px 10px 10px; /* espace pour le header et le footer */
  /*border:1px solid green;*/
}

/* Styles de base pour chaque colonne */
.column-left {
/*padding-bottom: 5px;*/
/*border:1px solid red;*/

}
.column-right {
 /* border: 1px solid black;*/
  padding-right: 25px;
  padding-bottom: 50px;
  /*border:1px solid blue;*/
}

/* SUBGRID à l'intérieur de la colonne de droite */
.subgrid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  gap: 50px;
  line-height: 1.3rem;
  padding-top:35px;
  /*border:1px solid black;*/
}

/* Styles communs aux blocs */
.subgrid-item {
  /*border: 1px solid black;*/
  
}

/* Alignement spécifique */
.subgrid-item.left{
  text-align: left;
}
.subgrid-item.center {
  text-align: left;
}

.subgrid-item.right {
  text-align: left;
}

.subgrid-item.right2 {
  text-align: left;
}

.description_section{
  
}

.CV{
}

.contact{

}
/*---------------------IMAGE-----------------------*/

.image-gauche {
  width: 80%;              /* Prend toute la largeur de la colonne */
  /*aspect-ratio: 4 / 3;      /* Forcé à 1440x1080, soit 4:3 */
  /*object-fit: cover; */       /* Pour que ça remplisse sans déformer */
  /*display: block;*/
  margin-bottom: 5px; /* espace entre les images */
 
}

/*---------------------FOOTER-----------------------*/
footer .logo-footer {
  position: fixed;
  bottom: 10px;
  right: 10px;
  width: 40px;
  height: auto;
  z-index: 999;
 /* border: 1px solid black;*/
}

footer .copyright-footer {
  position: fixed;
  bottom: 10px;
  left: 10px;
  font-size: 12px;
  color: #333; /* couleur du texte, tu peux changer */
  z-index: 999;
  margin: 0;
  padding: 0;
  /* Optional : pour un rendu plus propre */
  /* background: rgba(255, 255, 255, 0.7); */
  /* padding: 2px 5px; */
  /* border-radius: 4px; */
}

/* RESPONSIVE */
@media (max-width: 900px) {

  header {
    grid-template-columns: 1fr 1fr;
    background-color: white;
  }

  header .center {
    display: none;
  }


  header .left {
    font-size: 0.8rem;
  }

  header .right {
  gap: 2px;
}

  header button {
    font-size: 1rem;
    padding: 1px 10px;
    /*border: 1px solid black;*/
  }

.domaine{
    display: none;
}
    main {
    grid-template-columns: 1fr;
    margin-left: 0px;
    padding: 70px 9px 0px; /* espace pour le header et le footer */
  }
.lazy-video {
  /*margin-bottom: 5px;        /* centre horizontalement */
}

.description_section{
  padding-top:20px;
  border-top: 0.5px solid black;
  border-bottom: 0.5px solid black;
  text-align:justify;
  /*border-bottom: 1px solid black;*/
}

.description{
    font-size:24px;
    font-family: 'Raleway-Light', sans-serif;
    /*text-align: justify;*/
    line-height: 1.3;
}

.description_italic{
    font-size:24px;
    font-family: 'PlayfairDisplay-Italic', sans-serif;
    /*text-align: justify;*/
    line-height: 1.3;
}

.contact{
  padding-left:10px;
  font-size:16px;
  paddding-right:10px;
}

.infos-link{
  font-size:16px;
  line-height: 1.5rem;
 
}

.image-gauche {
   width: 100%; 
   margin-left: 0px;
  /*margin-bottom: 2px; /* espace entre les images */
}

.subgrid {
  grid-template-columns: 1fr;
   padding-top:25px;
  gap:10px;
}
.column-left {
padding-bottom: 20px;

}
  .column-right {
  padding-top: 0px;
  padding-left:10px;
   padding-right: 10px;
  }
  
  .subgrid-item {

  border-bottom: 0.5px solid black;
  padding-bottom: 20px;
  margin-bottom: 10px;
}

.subgrid-item:last-child {
  border-bottom: none;
}

  footer .logo-footer {
  width: 30px;
}

}
